[SciPy-Dev] Scipy on Python 3

David david@silveregg.co...
Tue Sep 14 21:39:08 CDT 2010


On 09/14/2010 01:23 PM, Christoph Gohlke wrote:
>
>
> On 9/11/2010 6:10 PM, Pauli Virtanen wrote:
>> Hi,
>>
>> I flushed the Python 3 branch containing work from me and David to SVN
>> trunk. Scipy now builds with Python 3, and all tests pass, except for
>> scipy.weave which still needs to be ported.
>>
>> More testing is welcome. I suspect Scipy's test suite does not cover all
>> of the code, so there might be some work left to do. You'll probably need
>> the latest 1.5.x branch Numpy to build, due to some fixes in Numpy's
>> distutils that are not in 1.5.0.
>>
>> Pauli
>>
>
>
> Thank you and David for making this available.

I should note that Pauli really did most of the work.

> Will numscons eventually be ported to Python 3?

Not by me at least. The first obvious issue is that scons is not python 
3 compatible, and I don't know the timeline there.

Also, I am spending most (all) of my "free" time on bento, my 
distutils/setuptools/etc... alternative, which should make something 
like numscons much less relevant (with the same advantages, though). I 
don't have time to work on numscons at the same time, except for the 
obvious bugs,

cheers,

David


More information about the SciPy-Dev mailing list